=== debian/control ===
Source: ros-indigo-hokuyo-node
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx10-dev, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-self-test, ros-indigo-sensor-msgs
Homepage: http://www.ros.org/wiki/hokuyo_node
Standards-Version: 3.9.2

Package: ros-indigo-hokuyo-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx10-dev, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-self-test, ros-indigo-sensor-msgs
Description: A ROS node to provide access to SCIP 2.0-compliant Hokuyo laser range finders (including 04LX).
